# VM Autoscaling Group Servers

This is a simple module that supports listing existing VM Autoscaling Group Servers

## Example Syntax

```yaml

name: List VM Autoscaling Group Servers
ionoscloudsdk.ionoscloud.vm_autoscaling_server_info:
  vm_autoscaling_group: ''
register: vm_autoscaling_servers_response

```

&#x20;

&#x20;

## Returned object

```json
{
    "result": [
        {
            "id": "07242d1d-1c78-4c65-abec-f9756eaac72b",
            "type": "autoscaling-server",
            "href": "https://api.ionos.com/autoscaling/groups/cd7407bc-54ff-4dcb-bf0e-6c2f7fa45c66/servers/07242d1d-1c78-4c65-abec-f9756eaac72b",
            "metadata": {
                "created_date": "2023-10-30T13:54:57.443498+00:00",
                "etag": "TCCzL0H9EwXvd99rsaiPBTZrsrSqp+v5cF/XKuFA5io=",
                "last_modified_date": "2023-10-30T13:54:57.443498+00:00",
                "state": "AVAILABLE"
            },
            "properties": {
                "datacenter_server": {
                    "id": "a32150c5-24a8-4f5f-af87-79513821e1d1",
                    "type": "server",
                    "href": "https://api.public.production.k8s.fra2.profitbricks.net/cloudapi/v6/datacenters/8b8b9122-b8ef-4966-a36a-2e9cf8609121/servers/a32150c5-24a8-4f5f-af87-79513821e1d1"
                },
                "name": "v6bJXW3"
            }
        }
    ],
    "failed": false,
    "changed": false
}

```

&#x20;

### For more examples please check out the tests [here](https://github.com/ionos-cloud/module-ansible/tree/master/tests/vm-autoscaling).

&#x20;

### Available parameters:

&#x20;

<table data-full-width="true"><thead><tr><th>Name</th><th align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td>vm_autoscaling_group<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The ID or name of an existing VM Autoscaling Group.</td></tr><tr><td>depth<br><mark style="color:blue;">int</mark></td><td align="center">False</td><td>The depth used when retrieving the items.<br>Default: 1</td></tr><tr><td>filters<br><mark style="color:blue;">dict</mark></td><td align="center">False</td><td>Filter that can be used to list only objects which have a certain set of properties. Filters should be a dict with a key containing keys and value pair in the following format: 'properties.name': 'server_name'</td></tr><tr><td>api_url<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API base URL.</td></tr><tr><td>certificate_fingerprint<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API certificate fingerprint.</td></tr><tr><td>username<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos username. Overrides the IONOS_USERNAME environment variable.</td></tr><tr><td>password<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos password. Overrides the IONOS_PASSWORD environment variable.</td></tr><tr><td>token<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos token. Overrides the IONOS_TOKEN environment variable.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/ansible/api/vm-autoscaling/info-modules/vm_autoscaling_server_info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
